libgtksourceviewmm: gtksourceview::SourceTagTable Class Reference

# gtksourceview::SourceTagTable Class Reference

an Abstraction SourceTag list. More...

`#include <sourcetagtable.h>`

List of all members.

## Public Types
typedef SourceTagTable | CppObjectType
typedef SourceTagTable_Class | CppClassType
typedef GtkSourceTagTable | BaseObjectType
typedef GtkSourceTagTableClass | BaseClassType
## Public Member Functions
virtual | ~SourceTagTable ()
GtkSourceTagTable * | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceTagTable * | gobj () const
| Provides access to the underlying C GObject.
GtkSourceTagTable * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add_tags (const Glib::SListHandle< Glib::RefPtr< Gtk::TextTag > > &a_tags)
| add tags to the SourceTagTable.
void | remove_source_tags ()
| removes all source tags from the table.
## Static Public Member Functions
static GType | get_type () G_GNUC_CONST
static GType | get_base_type () G_GNUC_CONST
static Glib::RefPtr < SourceTagTable > | create ()
| create a new SourceTagTable
## Protected Member Functions
| SourceTagTable (const Glib::ConstructParams &construct_params)
| SourceTagTable (GtkSourceTagTable *castitem)
| SourceTagTable ()
## Friends
class | SourceTagTable_Class
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < gtksourceview::SourceTagTable > | wrap (GtkSourceTagTable *object, bool take_copy=false)

## Detailed Description

an Abstraction SourceTag list.

This object is used to do the bookeeping of all the tags in use by a SourceBuffer at a given time.

## Member Typedef Documentation

typedef SourceTagTable gtksourceview::SourceTagTable::CppObjectType

typedef SourceTagTable_Class gtksourceview::SourceTagTable::CppClassType

typedef GtkSourceTagTable gtksourceview::SourceTagTable::BaseObjectType

typedef GtkSourceTagTableClass gtksourceview::SourceTagTable::BaseClassType

## Constructor & Destructor Documentation

gtksourceview::SourceTagTable::SourceTagTable | ( | const Glib::ConstructParams & | construct_params | ) | `[explicit, protected]`

gtksourceview::SourceTagTable::SourceTagTable | ( | GtkSourceTagTable * | castitem | ) | `[explicit, protected]`

virtual gtksourceview::SourceTagTable::~SourceTagTable | ( |  | ) | `[virtual]`

gtksourceview::SourceTagTable::SourceTagTable | ( |  | ) | `[protected]`

## Member Function Documentation

static GType gtksourceview::SourceTagTable::get_type | ( |  | ) | `[static]`

static GType gtksourceview::SourceTagTable::get_base_type | ( |  | ) | `[static]`

GtkSourceTagTable* gtksourceview::SourceTagTable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

const GtkSourceTagTable* gtksourceview::SourceTagTable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GtkSourceTagTable* gtksourceview::SourceTagTable::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Glib::RefPtr<SourceTagTable> gtksourceview::SourceTagTable::create | ( |  | ) | `[static]`

create a new SourceTagTable

It contains no SourceTag by default.

Returns:
  the newly created SourceTagTable

void gtksourceview::SourceTagTable::add_tags | ( | const Glib::SListHandle< Glib::RefPtr< Gtk::TextTag > > & | a_tags | ) |

add tags to the SourceTagTable.

Adds a list of tag to the table. The added tags are assigned the highest priority in the table. If a tag is already present in table or has the same name as an already-added tag, then it is not added to the table.

void gtksourceview::SourceTagTable::remove_source_tags | ( |  | ) |

removes all source tags from the table.

This will remove the table's reference to the tags, so be carefull - Tags will be destroyed if you don't have a reference to them.

## Friends And Related Function Documentation

friend class SourceTagTable_Class`[friend]`

Glib::RefPtr< gtksourceview::SourceTagTable > wrap | ( | GtkSourceTagTable * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- sourcetagtable.h